
Ruby - Bug #658

スクリプトエンコーディングがUTF-8のとき /[\xfe]/ でSEGV

10/19/2008 04:21 AM - hiroshi (Hiroshi MORIYAMA)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport:  

Description

=begin

リビジョン19812以降、スクリプトエンコーディングがUTF-8のときに

\xfe' または \xff' が正規表現の文字クラスに含まれていると、rubyが

落ちます:

% ./ruby1.9 <<EOS

Encoding: UTF-8

/[\xfe]/

EOS

./ruby1.9: [BUG] Segmentation fault

ruby 1.9.0 (2008-10-19 revision 19843) [i686-linux]

-- control frame ----------

c:0002 p:-34103900 s:0004 b:0004 l:000003 d:000003 TOP

c:0001 p:0000 s:0002 b:0002 l:000001 d:000001 TOP    :17

-- backtrace of native function call (Use addr2line) --

0x811c045

0x814854e

0x81485ab

0x80ceee3

0xb7f3b440

0x80c9d52

0x80ca478

0x80cb9f8

0x80cbad4

0x80cbc9f

0x80bc7e5

0x80b375f

0x80b3b04

0x80b513b

0x808cac5

0x8098046

0x809e9e7

0x811e969

0x808bb80

0x808bbdd

0x80cd7b6
0x80ce37d

0x810de7a

0x80cc87c

0x805b644

0x80590b9

0xb7d95ea8

0x8058fd1

zsh: abort (core dumped)  ./ruby1.9 <<< '# Encoding: UTF-8 /[\xfe]/'

=end

History

#1 - 10/21/2008 07:47 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r19863.

=end

#2 - 10/21/2008 07:56 AM - matz (Yukihiro Matsumoto)

- Status changed from Closed to Open

=begin

=end

#3 - 10/21/2008 08:57 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

=begin

Applied in changeset r19864.

=end
